// Do whatever you want
// initialize variables
// declare functions
// load modules
// etc

var zyn_host = '192.XXX.YYY.ZZZ'
var zyn_port = '1370'

module.exports = {

    init: ()=>{
        // this will be executed once when the osc server starts


        beat = ()=>{
            sendOsc({
                address: '/mixer/heartbeat',
                args: [{type:'s',value:''}],
                host: zyn_host,
                port: zyn_port
	})
        }
	// Wait 3 seconds and just once shot
	setTimeout(beat, 3000)
	// Every 60 seconds beat to zynthian
	setInterval(beat, 60000)


    },

    oscInFilter:function(data){
        // Filter incoming osc messages

        var {address, args, host, port} = data

        // do what you want

        // address = string
        // args = array of {value, type} objects
        // host = string
        // port = integer

        // return data if you want the message to be processed
        return {address, args, host, port}

    },

    oscOutFilter:function(data){
        // Filter outgoing osc messages

        var {address, args, host, port, clientId} = data

        // same as oscInFilter

        // return data if you want the message to be and sent
        return {address, args, host, port}
    },

    unload: function(){
        // this will be executed when the custom module is reloaded
    },

}